#pragma once
#include "dx_pipeline_loader.h"
#include "core/pipeline/sdf_text_pipeline.h"
#include "core/renderer/renderer_texture.h"

class dx_sdf_text_pipeline : public sdf_text_pipeline {
public:
    bool init() override;

    void use() override;
    void draw(uint32_t in_index_count) override;
private:
    dx_pipeline_loader loader;

    ID3D11SamplerState* sampler_state = nullptr;
};
